Open SCAP Library

Data Structures | Macros | Typedefs | Functions | Variables
oval_parser_impl.h File Reference

Open Vulnerability and Assessment Language. More...

`#include <libxml/xmlreader.h>`
`#include "public/oval_agent_api.h"`
`#include "common/util.h"`

Go to the source code of this file.

## Data Structures
struct | oval_parser_context

## Macros
#define | OVAL_ROOT_ELM_DEFINITIONS "oval_definitions"
#define | OVAL_ROOT_ELM_DIRECTIVES "oval_directives"
#define | OVAL_ROOT_ELM_RESULTS "oval_results"
#define | OVAL_ROOT_ELM_SYSCHARS "oval_system_characteristics"
#define | OVAL_ROOT_ELM_VARIABLES "oval_variables"

## Typedefs
typedef int(* | oval_xml_tag_parser) (xmlTextReaderPtr, struct oval_parser_context *, void *)

## Functions
int | oval_definition_model_parse (xmlTextReaderPtr, struct oval_parser_context *)
int | oval_syschar_model_parse (xmlTextReaderPtr, struct oval_parser_context *)
int | oval_results_model_parse (xmlTextReaderPtr, struct oval_parser_context *)
int | oval_parser_boolean_attribute (xmlTextReaderPtr reader, char *attname, int defval)
int | oval_parser_int_attribute (xmlTextReaderPtr reader, char *attname, int defval)
int | oval_parser_parse_tag (xmlTextReaderPtr, struct oval_parser_context *, oval_xml_tag_parser, void *)
| -1 error; 0 OK; 1 warning
int | oval_parser_skip_tag (xmlTextReaderPtr reader, struct oval_parser_context *context)
char * | oval_determine_document_schema_version_priv (xmlTextReader *reader, oscap_document_type_t doc_type)

## Variables
| OSCAP_HIDDEN_START
| OSCAP_HIDDEN_END

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/